Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452575 - system-config-printer: +Requires: rhpl ?
Summary: system-config-printer: +Requires: rhpl ?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 20:27 UTC by Rex Dieter
Modified: 2008-07-09 02:51 UTC (History)
0 users

Fixed In Version: 0.7.82.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 02:51:20 UTC


Attachments (Terms of Use)

Description Rex Dieter 2008-06-23 20:27:18 UTC
$ rpm -q rhpl system-config-printer
package rhpl is not installed
system-config-printer-0.7.82.4-1.fc9.x86_64

$ system-config-printer
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 57, in
<module>
    import cupshelpers, options
  File "/usr/share/system-config-printer/cupshelpers.py", line 22, in <module>
    from rhpl.translate import _, N_
ImportError: No module named rhpl.translate

kde-4.1's kdeutils includes a PyKDE version of the printer applet, and this
missing dep makes builds fail.

Comment 1 Tim Waugh 2008-06-27 10:46:55 UTC
I've adjusted cupshelpers.py upstream to use gettext instead of rhpl.translate.

Comment 2 Fedora Update System 2008-07-01 05:29:45 UTC
system-config-printer-0.7.82.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5604

Comment 3 Fedora Update System 2008-07-09 02:51:15 UTC
system-config-printer-0.7.82.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.